org.eclipse.wst.jsdt.chromium.debug.ui

## Class TableUtils.ColumnLabelProvider<C>

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.TableUtils.ColumnLabelProvider<C>

Type Parameters:
  `C` - type of column element

Enclosing class:
  TableUtils

    public abstract static class TableUtils.ColumnLabelProvider<C>
    extends java.lang.Object

A type column label provider. After its use it will be disposed. It is also responsible for creating a physical column in a `Table`.

### Constructor Summary

Constructors
Constructor and Description
`ColumnLabelProvider()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract TableColumn` `createColumn(Table table)`
`void` `dispose()`
`abstract Image` `getColumnImage(C element)`
`abstract java.lang.String` `getColumnText(C element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnLabelProvider

    public ColumnLabelProvider()

### Method Detail

#### getColumnImage

    public abstract Image getColumnImage(C element)

#### getColumnText

    public abstract java.lang.String getColumnText(C element)

#### createColumn

    public abstract TableColumn createColumn(Table table)

#### dispose

    public void dispose()